Issue2415

classification
Title: jython2.5.3-6 in debian unstable is broken.
Type: Severity: critical
Components: Versions: Jython 2.5
Milestone:
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: lac, zyasoft
Priority: Keywords:

Created on 2015-10-25.10:17:57 by lac, last changed 2015-10-28.08:08:54 by lac.

Messages
msg10380 (view) Author: Laura Creighton (lac) Date: 2015-10-25.10:17:56
debian bug report here.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=796933

I have precisely the same issue when i updated.
msg10384 (view) Author: Jim Baker (zyasoft) Date: 2015-10-26.20:39:13
Any chance we can have this package be upgraded to Jython 2.7.0 or the forthcoming 2.7.1 (to be released next month)?

re Lib/site.py specifically in Jython 2.5.3 - that's pretty much imported all the time (one has to exclude with `jython -S` if using the command line launcher). Maybe a corrupted package?
msg10389 (view) Author: Laura Creighton (lac) Date: 2015-10-27.07:45:40
It's pretty clear that this is a problem with the package, not with Jython, but the initial debian bug report is 2 months old now, and nothing has happened, so it is time to nudge the Jython package maker(s).

According to their page: https://bugs.debian.org/cgi-bin/pkgreport.cgi?maint=pkg-java-maintainers%40lists.alioth.debian.org#_0_1_3

This bug is already resolved.  But it's still _present_.
I can try to them about it, but these things tend to go better when it
is a developer doing the talking.
msg10390 (view) Author: Jim Baker (zyasoft) Date: 2015-10-27.15:11:14
I will look into installing this unstable package and figuring out what is different and presumably wrong.

Another useful thing to do would be if the packagers were to run a regrtest to confirm their packaging. For that, we will need to define a stable subset that does not depend on flaky aspects like networking or on Java 7 vs 8. (Useful for core devs, not so useful for others.)
msg10392 (view) Author: Laura Creighton (lac) Date: 2015-10-28.08:08:53
https://tracker.debian.org/news/721687
from https://tracker.debian.org/pkg/jython

says that Yesterday (Oct 26) 2.5.3-7 became jython on unstable.
And, indeed, it works, though we still get the

      "my" variable $jythonHome masks earlier declaration in same scope at /usr/bin/jython line 15.

message.

This leads one to believe that Emmanuel Bourg <ebourg@apache.org> is the person to talk to about getting 2.7.0 or 2.7.1 out there.
History
Date User Action Args
2015-10-28 08:08:54lacsetmessages: + msg10392
2015-10-27 15:11:14zyasoftsetmessages: + msg10390
2015-10-27 07:45:41lacsetmessages: + msg10389
2015-10-26 20:39:13zyasoftsetnosy: + zyasoft
messages: + msg10384
2015-10-25 10:17:57laccreate